Multichannel< T > Class Template Referenceabstract

Provides multiple channels support for custom flush signal processing. More...

Inheritance diagram for Multichannel< T >:

## Public Member Functions

bool | Flush (bool hardFlush, int propagation=-1, bool blocking=true)
bool | MessageSeriesEnd (int propagation=-1, bool blocking=true)
byte * | CreatePutSpace (size_t &size)
size_t | Put2 (const byte *inString, size_t length, int messageEnd, bool blocking)
size_t | PutModifiable2 (byte *inString, size_t length, int messageEnd, bool blocking)
byte * | ChannelCreatePutSpace (const std::string &channel, size_t &size)
bool | ChannelPutModifiable (const std::string &channel, byte *inString, size_t length)
virtual size_t | ChannelPut2 (const std::string &channel, const byte *begin, size_t length, int messageEnd, bool blocking)=0
size_t | ChannelPutModifiable2 (const std::string &channel, byte *begin, size_t length, int messageEnd, bool blocking)
virtual bool | ChannelFlush (const std::string &channel, bool hardFlush, int propagation=-1, bool blocking=true)=0
SIGNALS

## Detailed Description

### template<class T>
class Multichannel< T >

Provides multiple channels support for custom flush signal processing.

Template Parameters

  T | the class or type

T should be a BufferedTransformation derived class

Definition at line 193 of file simple.h.

The documentation for this class was generated from the following file:

- simple.h